Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 08 Jan 2022 04:38:39 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello. I am following up on a refund. I have placed an order on November 24, #8115240875, of KWD 72.670. Even though my bank account was debited with the above mentioned amount, I received a message from you that the payment had not gone through. Until today, December 4, I have not received my money back. 
Can you please tell me what is going on? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3532349